Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jersey.api.model
Class AbstractSubResourceMethod

    java.lang.Object
      com.sun.jersey.api.model.AbstractMethod
          com.sun.jersey.api.model.AbstractResourceMethod
              com.sun.jersey.api.model.AbstractSubResourceMethod

All Implemented Interfaces:
  AbstractModelComponent, Parameterized, PathAnnotated

    public class AbstractSubResourceMethod

extends AbstractResourceMethod
implements PathAnnotated

Author:
  mh124079

Constructor Summary
`AbstractSubResourceMethod(AbstractResource resource, java.lang.reflect.Method method, PathValue uriPath, java.lang.String httpMethod, java.lang.annotation.Annotation[] annotations)`

Method Summary
`void` | `accept(AbstractModelVisitor visitor)`
`PathValue` | `getPath()`
`java.lang.String` | `toString()`

Methods inherited from class com.sun.jersey.api.model.AbstractResourceMethod
`areInputTypesDeclared, getAnnotations, getComponents, getDeclaringResource, getHttpMethod, getParameters, getSupportedInputTypes, getSupportedOutputTypes, setAreInputTypesDeclared`

Methods inherited from class com.sun.jersey.api.model.AbstractMethod
`getMethod`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractSubResourceMethod

    public AbstractSubResourceMethod(AbstractResource resource,
                                     java.lang.reflect.Method method,
                                     PathValue uriPath,
                                     java.lang.String httpMethod,
                                     java.lang.annotation.Annotation[] annotations)

Method Detail

### getPath

    public PathValue getPath()

  Specified by:
    `getPath` in interface `PathAnnotated`

### accept

    public void accept(AbstractModelVisitor visitor)

  Specified by:
    `accept` in interface `AbstractModelComponent`
  Overrides:
    `accept` in class `AbstractResourceMethod`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `AbstractResourceMethod`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.